package com.yuyu.srdisassemble.pojo;

import java.util.List;

/**
 * @author 峰。
 * @version 1.0
 * @project SrDisassemble113
 * @date 2024/7/20 13:21:50
 * @description
 */
public class PauseBox {
    private String username;
    private int slotnumber;
    private int nums;
    private String productindex;
    private String guiname;
    private List<String> lores;


    public PauseBox(String username, int slotnumber, int nums, String productindex, String guiname, List<String> lores) {
        this.username = username;
        this.slotnumber = slotnumber;
        this.nums = nums;
        this.productindex = productindex;
        this.guiname = guiname;
        this.lores = lores;
    }

    public List<String> getLores() {
        return lores;
    }

    public String getUsername() {
        return username;
    }

    public int getSlotnumber() {
        return slotnumber;
    }

    public int getNums() {
        return nums;
    }

    public String getProductindex() {
        return productindex;
    }

    public String getGuiname() {
        return guiname;
    }
}
